use crate::prelude::*;

#[inline]
pub async fn delete(bot: Throttle<Bot>, msg: Message, db: DatabaseConnection) -> crate::Result<()> {
    let user_id = msg.from().ok_or(NoUserInfo)?.id.0;

    bot.send_message(msg.chat.id, "Choose the account to delete")
        .reply_markup(menu_markup("delete", user_id, &db).await?)
        .await?;

    Ok(())
}
